<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 
if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$ip_client = get_ip();
if (isset($_POST["action"]))
	{
		if( $_SESSION['captcha_code_check'] == md5($_POST['vImageCodP']) ) {
			    $username = $_POST['username'];		$username = strtolower($username);
                $quest = abs(intval($_POST['quest']));
                $ans = $_POST['ans'];
                $tel = $_POST['tel'];
                $sno = abs(intval($_POST['sno']));
                $sdt_length = strlen($tel);

                kiemtra_chu_so($username,"Tài khoản");
				kiemtra_so($quest,"Câu hỏi bí mật");
				kiemtra_chu_so($ans,"Câu trả lời bí mật");
				kiemtra_so($tel,"Số điện thoại");
				kiemtra_so($sno,"7 số bí mật");

			if (!preg_match("/^[a-zA-Z0-9_]*$/i", $username))
				{
    				$error = "<font color='red'>Dữ liệu lỗi - Tài khoản chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font><br>";
				}
			elseif ( $username == 'demo' || $username == 'admin')
				{
    				$error = "<font color='red'>Dữ liệu lỗi - Tài khoản không được phép.</font><br>";
				}
			elseif (!preg_match("/^[1-9]*$/i", $quest))
				{
    				$error = "<font color='red'>Dữ liệu lỗi - Chưa chọn câu hỏi bí mật.</font>";
				}
			elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $ans))
				{
    				$error = "<font color='red'>Dữ liệu lỗi - Câu trả lời bí mật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font><br>";
				}
			elseif (!preg_match("/^[0-9]*$/i", $tel))
				{
					$error = "<font color='red'>Dữ liệu lỗi - Số điện thoại chỉ là số (0-9).</font><br>";
				}
			elseif (!preg_match("/^[0-9]*$/i", $sno))
				{
					$error = "<font color='red'>Dữ liệu lỗi - 7 số bó mật chỉ là số (0-9).</font><br>";
				}
			elseif ( $sdt_length == 10 ) {
                
                $getcontent_url = $server_url . "/receive_pass.php";
		        $getcontent_data = array(
		            'action'    =>  'receive_pass',
		            'username'    =>  $username,
		            'quest'    =>  $quest,
		            'ans'    =>  $ans,
		            'tel'    =>  $tel,
		            'sno'    =>  $sno,
                    'ip'    =>  $ip_client,
		            'passtransfer'    =>  $passtransfer
		        ); 
		        
		        $show_reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

				if ( empty($show_reponse) ) $error = "<font color='red'>Server bảo trì.</font>";
				else {
					$info = explode('<vweb>',$show_reponse);
					if ($info[0] == 'OK') {
						$notice = "<center>Mật khẩu Web của bạn là: <b>$info[1]</b></center><hr>";
					}
					else { 
						$error = "<font color='red'>$show_reponse</font>"; 
					}
				}
            }
            else { $error = "<font color='red'>Số Điện thoại bắt buộc phải là Số ĐT di động.</font>"; }
		} else $error = "<center><font color='red'>Dữ liệu lỗi - Mã kiểm tra không chính xác.</font></center>";
		
		if (isset($error)) {
          	$page_template = 'templates/receive_pass1.aspx';
          	}
	}
else {
	$captcha_arr = array();
	include_once("vimage.php");
	$captcha_arr = captcha();
	$_SESSION['captcha_code'] = $captcha_arr['code'];
	$_SESSION['captcha_code_check'] = md5($_SESSION['captcha_code']);
	$_SESSION['captcha_images'] = $captcha_arr['image_src'];
	$page_template = 'templates/receive_pass1.aspx';
}
?>